package com.ywt.outpatient.domain.models.enums;

/**
 * 医生出诊状态
 */
public enum DoctorScheduleStatusEnum {
    Treatment("远程会诊", 1),
    Transfer("双向转诊", 1 << 1),
    Attending("名医主诊", 1 << 2),
    Consult("咨询", 1 << 3);


    private final String displayName;

    private final int value;

    DoctorScheduleStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
